﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace MvcGuestBook.Models
{
    public class GusetBookBinder : IModelBinder
    {
        #region IModelBinder 成员

        public ModelBinderResult BindModel(ModelBindingContext bindingContext)
        {
            GuestBook objGuestBook = new GuestBook();
            var form = bindingContext.HttpContext.Request.Form;

            objGuestBook.ItemID =  Convert.ToInt32(form["ItemID"]);
            objGuestBook.Body = form["Body"];
            objGuestBook.Email = form["Email"];
            objGuestBook.ReplyId = 0;
            objGuestBook.CreatedByUserId = Convert.ToInt32(form["CreatedByUserId"]);
            objGuestBook.CreatedDate = DateTime.Now;
            objGuestBook.IP = bindingContext.HttpContext.Request.UserHostAddress;
            objGuestBook.IsApproved = false;
            objGuestBook.CreatedByUser = form["CreatedByUser"];

            ModelBinderResult objR = new ModelBinderResult(objGuestBook);
            return objR;
        }

        #endregion
    }
}
