﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Collections;
using System.Web.Security;

namespace MvcGuestBook.Views.Home
{
    public partial class GuestBookList : System.Web.Mvc.ViewUserControl<IEnumerable>
    {
        protected SelectList PageArray
        {
            get
            {
                ArrayList arr = new ArrayList();
                for (int i = 1; i <= PageCount; i++)
                {
                    arr.Add(new { text = string.Format("第{0}页", i), value = i });
                }
                return new SelectList(arr, "value", "text", this.PageIndex);
            }
        }

        protected int PreviousPage
        {
            get { return ((this.PageIndex > 1) ? this.PageIndex - 1 : 1); }
        }

        protected int NextPage
        {
            get { return ((this.PageIndex < this.PageCount) ? this.PageIndex + 1 : this.PageCount); }
        }

        protected int PageCount
        {
            get { return Convert.ToInt32(this.ViewData["PageCount"]); }
        }

        protected int PageIndex
        {
            get { return Convert.ToInt32(this.ViewData["PageIndex"]); }
        }

        protected int RecordCount
        {
            get { return Convert.ToInt32(this.ViewData["RecordCount"]); }
        }

        //TODO:权限判段
        protected bool CanEdit(int CreatedByUserId)
        {
            bool canEdit = true;
            return canEdit;
        }
    }
}
