﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.Mvc;

namespace MvcGuestBook.Models
{
    public class UserBinder : IModelBinder
    {
        #region IModelBinder 成员

        public ModelBinderResult BindModel(ModelBindingContext bindingContext)
        {
            User objUser = new User();
            var form = bindingContext.HttpContext.Request.Form;

            objUser.UserID = Convert.ToInt32(form["UserID"]);
            objUser.Username = form["Username"];
            objUser.Email = form["Email"];
            objUser.Password = FormsAuthentication.HashPasswordForStoringInConfigFile(form["Password"], "sha1");
            objUser.CreatedDate = DateTime.Now;

            ModelBinderResult objR = new ModelBinderResult(objUser);
            return objR;
        }

        #endregion
    }
}
