﻿<%@ Page Language="C#" AutoEventWireup="true" MasterPageFile="~/Views/Shared/Site.Master" CodeBehind="GuestBookAdd.aspx.cs" Inherits="MvcGuestBook.Views.Home.GuestBookAdd" %>
<asp:Content ID="addContent" ContentPlaceHolderID="MainContent" runat="server">

<script type="text/javascript">
$(document).ready(function(){
  $.formValidator.initConfig({ formid: "form1", onerror: function(msg) { alert(msg) } });
  $("#CreatedByUser").formValidator({ onshow: "请输入昵称", onfocus: "您可以输入汉字或字母组合的昵称", oncorrect: "恭喜你,你输对了", defaultvalue: "" }).inputValidator({ min: 1, max: 100, onerror: "请输入你的昵称" });
  $("#Email").formValidator({ onshow: "请输入邮箱", onfocus: "邮箱至少6个字符,最多100个字符", oncorrect: "恭喜你,你输对了", defaultvalue: "" }).inputValidator({ min: 6, max: 100, onerror: "你输入的邮箱长度非法,请确认" }).regexValidator({ regexp: "^([\\w-.]+)@(([[0-9]{1,3}.[0-9]{1,3}.[0-9]{1,3}.)|(([\\w-]+.)+))([a-zA-Z]{2,4}|[0-9]{1,3})(]?)$", onerror: "你输入的邮箱格式不正确" });
	$("#Body").formValidator({onshow:"请输入你的描述",onfocus:"描述至少要输入10个汉字或20个字符",oncorrect:"恭喜你,你输对了",defaultvalue:""}).inputValidator({min:20,onerror:"你输入的描述长度不正确,请确认"});
});
</script>
    <h2><%= Html.Encode(ViewData["Message"]) %></h2>
    <% Html.BeginForm("GuestBookAdd", "Home", FormMethod.Post, new { id = "form1" });%>
<table>
    <tr>
        <td>您的昵称：</td>
        <td>
          <% if (this.ViewData.Model.CreatedByUserId == 0){ %>
          <%=Html.TextBox("CreatedByUser")%>
          <% } else { %>
          <%=Html.TextBox("CreatedByUser", this.ViewData.Model.CreatedByUser, new { @readonly = "True" })%>
          <% } %>
          <%=Html.ValidationMessage("CreatedByUser")%>
        </td>
        <td>
          <div id="CreatedByUserTip" style="width:200px;"></div>
        </td>
    </tr>
    <tr>
        <td>您的Email：</td>
        <td>
          <% if (this.ViewData.Model.CreatedByUserId == 0) { %>
          <%=Html.TextBox("Email")%>
          <% } else { %>
          <%=Html.TextBox("Email", this.ViewData.Model.Email, new { @readonly = "True" })%>
          <% } %>
          <%=Html.ValidationMessage("Email")%>
        </td>
        <td>
          <div id="EmailTip" style="width:200px;"></div>
        </td>
    </tr>
    <tr>
        <td colspan="3">您的留言：</td>
    </tr>
    <tr>
      <td colspan="3">
        <%=Html.TextArea("Body", new { style="width:550px;height:80px;" })%><br />
        <div id="BodyTip" style="width:530px;"></div>
        <%=Html.ValidationMessage("Body")%>
      </td>
    </tr>
    <tr>
      <td colspan="3">
        <input type="submit" value="添加新留言" /><%=Html.Hidden("ItemID") %><%=Html.Hidden("CreatedByUserId")%>
        <%=Html.ActionLink("返回留言薄>>", "Index", "Home")%>
      </td>
    </tr>
</table>
<% Html.EndForm(); %>
</asp:Content>