﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="GuestBookList.ascx.cs" Inherits="MvcGuestBook.Views.Home.GuestBookList" %>
<%@ Import Namespace="MvcGuestBook.Models" %>
    <% foreach(GuestBook objG in this.ViewData.Model ){ %>
    <table class="GTable" cellpadding="5" cellspacing="1" border="0">
      <tr>
        <td class="GTDHeader">
          <%=objG.CreatedByUser %> <%= (objG.CreatedByUserId != 0) ? "" : "[匿名]"%> Posted on <%=objG.CreatedDate %>
          <% if (CanEdit(objG.CreatedByUserId)) { Response.Write(Html.ActionLink("编辑", "GuestBookAdd", new { ItemID = objG.ItemID }) + " "); } %>
          <% if (CanEdit(objG.CreatedByUserId)) { Response.Write(Html.ActionLink("删除", "GuestBookDelete", new { ItemID = objG.ItemID })); }%>
        </td>
      </tr>
      <tr class="GTDItem">
        <td><%= Html.Encode(objG.Body).Replace("\n", "<br />") %></td>
      </tr>
    </table>
    <%} %>
    <table width="100%">
      <tr>
        <td>共<%=this.RecordCount %>条记录 共<%=this.PageCount %>页 第<%=this.PageIndex %>页</td>
        <td align="right">
      <% if (this.PageIndex != 1){ %>
        <a href="javascript:gotopage(0)">首页</a>
        <a href="javascript:gotopage(<%=this.PreviousPage %>)">上一页</a>
      <%} else { %>
        首页
        上一页
      <%} %>
      <%=Html.DropDownList("Page", this.PageArray, new { onchange="gotopage(this.value);" })%>
      <% if (this.PageIndex != this.PageCount){ %>
        <a href="javascript:gotopage(<%=this.NextPage%>)">下一页</a>
        <a href="javascript:gotopage(<%=this.PageCount%>)">末页</a>
      <%} else { %>
        下一页
        末页
      <%} %>
        </td>
      </tr>
    </table>    
